/*
* [U]NITED [G]AMING [C]HEATS Client Hook
*
* Copyright (c) LIQUID     2001-2002
* Copyright (c) ZOOLABUS   2001-2002
* 
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
* 
* GNU license doesn't cover Engine directory.
* Content of Engine directory is copyrighted (c) 1999, 2000, by Valve LLC
* and it is licensed under Valve's proprietary license (see original HL SDK).
*/

#include <stdio.h>
#include "cvar.h"
#include "interpreter.h"

CVARList cvar;

//=======================================================================================
void CVARList::init()
{ 
	memset((char*)this, 0, sizeof(*this)); 

	#define REGISTER_CVAR_FLOAT(name,defaultvalue) cmd.AddCvarFloat(#name, &##name );name=defaultvalue##f;
	REGISTER_CVAR_FLOAT( recoil    ,1.50) REGISTER_CVAR_FLOAT( ftime     ,0.20) REGISTER_CVAR_FLOAT( speed     ,1.0) 
	REGISTER_CVAR_FLOAT( fov       ,30.0) REGISTER_CVAR_FLOAT( dtime     ,0.40) REGISTER_CVAR_FLOAT( aspeed    ,2.0) 
	REGISTER_CVAR_FLOAT( predahead ,0.00) REGISTER_CVAR_FLOAT( sdelay    ,0.05) REGISTER_CVAR_FLOAT( smooth    ,0.0) 
	REGISTER_CVAR_FLOAT( randmax   ,0.00) REGISTER_CVAR_FLOAT( rdelay    ,0.25) REGISTER_CVAR_FLOAT( esp_trans ,1.0) 
	REGISTER_CVAR_FLOAT( randspeed ,0.02) REGISTER_CVAR_FLOAT( soundtime ,2.00) REGISTER_CVAR_FLOAT( radar_range,     3500.0)
	REGISTER_CVAR_FLOAT( hl_vol1    ,0.2) REGISTER_CVAR_FLOAT( hl_vol2    ,0.7) REGISTER_CVAR_FLOAT( height_correction  ,0.0)
	REGISTER_CVAR_FLOAT( esp_offs   ,1.0) REGISTER_CVAR_FLOAT( chaseofs   ,0.0) REGISTER_CVAR_FLOAT( predtime   ,0.0)                                     
	REGISTER_CVAR_FLOAT( predmax    ,0.0)
																			
	#define REGISTER_CVAR_INT(name,defaultvalue) cmd.AddCvarInt(#name, &##name );name=defaultvalue;
	REGISTER_CVAR_INT( smoke      ,1) REGISTER_CVAR_INT( trans   ,100) REGISTER_CVAR_INT( flash     ,1) 
	REGISTER_CVAR_INT( sniper     ,1) REGISTER_CVAR_INT( jump      ,1) REGISTER_CVAR_INT( light     ,0) 
	REGISTER_CVAR_INT( glow       ,0) REGISTER_CVAR_INT( duck      ,0) REGISTER_CVAR_INT( aim       ,1) 
	REGISTER_CVAR_INT( esp        ,0) REGISTER_CVAR_INT( lock      ,0) REGISTER_CVAR_INT( log       ,0)  
	REGISTER_CVAR_INT( mode       ,1) REGISTER_CVAR_INT( wall      ,0) REGISTER_CVAR_INT( box       ,0) 
	REGISTER_CVAR_INT( team       ,0) REGISTER_CVAR_INT( aimthru   ,0) REGISTER_CVAR_INT( weapon    ,1) 
	REGISTER_CVAR_INT( shoot      ,0) REGISTER_CVAR_INT( barrel    ,0) REGISTER_CVAR_INT( name     ,31) 
	REGISTER_CVAR_INT( lambert    ,0) REGISTER_CVAR_INT( spiked    ,0) REGISTER_CVAR_INT( info      ,3)  
	REGISTER_CVAR_INT( tglow      ,1) REGISTER_CVAR_INT( pred      ,2) REGISTER_CVAR_INT( confont   ,0) 
	REGISTER_CVAR_INT( sglow      ,0) REGISTER_CVAR_INT( predback  ,0) REGISTER_CVAR_INT( cross     ,0) 
	REGISTER_CVAR_INT( distance   ,1) REGISTER_CVAR_INT( autoburst ,1) REGISTER_CVAR_INT( czoom     ,0) 
	REGISTER_CVAR_INT( glextra    ,0) REGISTER_CVAR_INT( burstflags,0) REGISTER_CVAR_INT( inpvs   ,100) 
	REGISTER_CVAR_INT( systime    ,1) REGISTER_CVAR_INT( esp_fix   ,0) REGISTER_CVAR_INT( better_pi ,1)
	REGISTER_CVAR_INT( soundtol ,200) REGISTER_CVAR_INT( health_esp,1) REGISTER_CVAR_INT( ugc_stats ,1)
	REGISTER_CVAR_INT( soundradar ,0) REGISTER_CVAR_INT( esp_wrap  ,0)
    REGISTER_CVAR_INT( bombtimer  ,1) REGISTER_CVAR_INT( reload    ,1) REGISTER_CVAR_INT( esp_line  ,0)
    REGISTER_CVAR_INT( avdraw     ,0) REGISTER_CVAR_INT( radar     ,1) REGISTER_CVAR_INT( spvs     ,10)
	REGISTER_CVAR_INT( antizoom   ,0) REGISTER_CVAR_INT( hud       ,0) REGISTER_CVAR_INT( con_h   ,600) 
	REGISTER_CVAR_INT( pistol     ,1) REGISTER_CVAR_INT( death     ,0) REGISTER_CVAR_INT( menu_x  ,240) 
	REGISTER_CVAR_INT( speedon ,1000) REGISTER_CVAR_INT( con_x   ,500) REGISTER_CVAR_INT( menu_y  ,245) 
	REGISTER_CVAR_INT( speedoff   ,0) REGISTER_CVAR_INT( con_y     ,0) REGISTER_CVAR_INT( menu_w  ,200) 
	REGISTER_CVAR_INT( blood      ,0) REGISTER_CVAR_INT( con_w   ,524) REGISTER_CVAR_INT( con_slidespeed  ,5)
	REGISTER_CVAR_INT( radar_x   ,80) REGISTER_CVAR_INT( tlight    ,0) REGISTER_CVAR_INT( sounddisplay    ,2)
	REGISTER_CVAR_INT( radar_y  ,224) REGISTER_CVAR_INT( tran_team ,1) REGISTER_CVAR_INT( text_background ,0)
	REGISTER_CVAR_INT( modelaim   ,0) REGISTER_CVAR_INT( soundtoesp,0) REGISTER_CVAR_INT( radar_size     ,87)
	REGISTER_CVAR_INT( soundfilter,3) REGISTER_CVAR_INT( stats     ,0)  
	REGISTER_CVAR_INT( menuback   ,1) REGISTER_CVAR_INT( saystats  ,0) REGISTER_CVAR_INT( grenadeshell ,5000)
	REGISTER_CVAR_INT( rglow      ,1) REGISTER_CVAR_INT( colorstep ,1) REGISTER_CVAR_INT( kill_sound      ,0)                            
	REGISTER_CVAR_INT( chase_cam  ,0) REGISTER_CVAR_INT( frag      ,0) REGISTER_CVAR_INT( alive_method    ,0)  	                                  
}
